Bug Hunting Session
Bug 56276 - Resizing a cell-anochored rotated object on row height change works weird.
Summary: Resizing a cell-anochored rotated object on row height change works weird.
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other All
: medium normal
Assignee: Noel Power
URL:
Whiteboard: target:4.1.0
Keywords:
Depends on:
Blocks:
 
Reported: 2012-10-22 10:31 UTC by Kohei Yoshida
Modified: 2018-07-07 16:36 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments
test document (7.73 KB, application/vnd.oasis.opendocument.spreadsheet)
2012-10-22 10:31 UTC, Kohei Yoshida
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Kohei Yoshida 2012-10-22 10:31:42 UTC
Created attachment 68910 [details]
test document

1. Load the attached document.
2. Select row 24, and drag the lower border of that row down to increase its height.
3. The drawing object gets resized, but it shouldn't have.

the position of the anchor is also wrong as well. When you click on the object, you'll see the anchor over cell G22 (roughly), but it should be located at the lower-left corner of the object, roughly over G19.
Comment 1 Kohei Yoshida 2012-10-22 10:32:11 UTC
Confirming.
Comment 2 Kohei Yoshida 2012-10-22 10:33:12 UTC
Assigning this to Noel per discussed face-to-face.
Comment 3 Not Assigned 2013-02-19 18:14:22 UTC
Noel Power committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2b1aa949539d2fcbb3d349be3c279996630d83fc

fdo#56276 - resize/reposition rotated shapes in a sensible way



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Noel Power 2013-03-13 11:56:17 UTC
I'm marking this as fixed